Naar hoofdinhoud gaan

Deze browser wordt niet meer ondersteund.

Upgrade naar Microsoft Edge om te profiteren van de nieuwste functies, beveiligingsupdates en technische ondersteuning.

Microsoft Edge downloaden Meer informatie over Internet Explorer en Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Routines

Queue an asynchronous routine dispatch

POST /routines/{routine_name}:dispatch_async

Queues an asynchronous dispatch for the specified routine.

Koptekstparameters

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Routines=V2Preview

Padparameters

routine_name string vereist

The unique name of the routine.

Queryparameters

api-version string vereist

The API version to use for this operation.

Aanvraagbody

Content-Type: application/json
payload invoke_agent_responses_api | invoke_agent_invocations_api

Base model for a manual dispatch payload.

Een van de volgende:
invoke_agent_responses_api InvokeAgentResponsesApiDispatchPayload

A manual payload used to test a responses API routine dispatch.

type enum vereist

The manual dispatch payload type.

invoke_agent_responses_api
input InvokeAgentResponsesApiDispatchPayload vereist

The JSON value sent as the complete downstream responses input. The value is passed through as-is and can be an object, string, number, boolean, array, or null.

invoke_agent_invocations_api InvokeAgentInvocationsApiDispatchPayload

A manual payload used to test an invocations API routine dispatch.

type enum vereist

The manual dispatch payload type.

invoke_agent_invocations_api
input InvokeAgentInvocationsApiDispatchPayload vereist

The JSON value sent as the complete downstream invocations input. The value is passed through as-is and can be an object, string, number, boolean, array, or null.

Antwoorden

The request has succeeded.

Hoofdtekst

Content-Type: application/json
dispatch_id string

The dispatch identifier created for the routine dispatch.

action_correlation_id string

A downstream action correlation identifier, when available.

task_id string

A workspace task identifier created for the dispatch, when available.

Client error

Hoofdtekst

Content-Type: application/json
error OpenAI.Error vereist
code string | null vereist
message string vereist
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Een van de volgende:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string vereist

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Hoofdtekst

Content-Type: application/json
error OpenAI.Error vereist
code string | null vereist
message string vereist
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Een van de volgende:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string vereist

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Aanvraag

POST /routines/{routine_name}:dispatch_async HTTP/1.1

Respons

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
nl-nl
Uw privacykeuzes
  • AI-disclaimer
  • Vorige versies
  • Blog
  • Bijdragen
  • Privacy
  • Privacy van gezondheidsdata
  • Gebruiksvoorwaarden
  • Handelsmerken
  • © Microsoft 2026